The REST API is deprecated and will be removed in the future. Some endpoints may no longer be available. Use the GraphQL API instead.
- Get list of integrationsGET
- Create integrationPOST
- Get integration by idGET
- Update integrationPUT
- Delete integrationDELETE
- Get integration actions by idGET
- Execute integration actionPOST
- Sync integration orders (async)POST
- Sync integration products (async)POST
- Sync integration return requests (async)POST
- Get settings for integrationGET
- Sync integration shipping services (async)POST
- Sync integration product stocks (async)POST
Update integration
PUT
https://api.pack.cloud/v1/organizations/{organizationId}/integrations/{integrationId}
Request
Path parameters
organizationIdstring
integrationIdstring
Payload
enabledboolean
Synchronization is enabled for this integration
namestring
Name of the integration
Example:My Online Store Shopify
order_sync_enabledboolean
Changed orders are automatically retrieved from the integration
product_match_modestring
Allowed values:barcodecodebarcode_and_codebarcode_or_code
product_sync_enabledboolean
Products are automatically retrieved from the integration
stock_sync_enabledboolean
Stock (changes) are automatically changed at the shop integration
settingsobject
Integration specific settings
Response
OK
Body
OK
Body
OK
Body
OK
Body
OK
Body
OK